Loading...
Searching...
No Matches
cxx::Bits Namespace Reference

Internal helpers for the cxx package. More...

## Data Structures

struct | Avl_map_get_key
| Key-getter for Avl_map. More...
struct | Avl_set_get_key
| Internal, key-getter for Avl_set nodes. More...
class | Base_avl_set
| Internal: AVL set with internally managed nodes. More...
class | Bst
| Basic binary search tree (BST). More...
struct | Direction
| The direction to go in a binary search tree. More...
class | Bst_node
| Basic type of a node in a binary search tree (BST). More...
class | Basic_list
| Internal: Common functions for all head-based list implementations. More...
class | Smart_ptr_list_item
| List item for an arbitrary item in a Smart_ptr_list. More...
class | Smart_ptr_list
| List of smart-pointer-managed objects. More...

## Detailed Description

Internal helpers for the cxx package.